package riomhaire.lti;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Service;
import riomhaire.lti.core.business.builder.ActionBuilderFactory;
import riomhaire.lti.core.model.interfaces.ApplicationRegistry;
import riomhaire.lti.core.model.interfaces.ClientRegistrationResolver;


@Service
public class Registry implements ApplicationRegistry {

  @Autowired
  @Qualifier("redisBasedClientRegistrationResolver")
  ClientRegistrationResolver clientRegistrationResolver;

  @Autowired
  ActionBuilderFactory actionBuilderFactory;
  
  @Override
  public ClientRegistrationResolver clientRegistrationResolver() {
    return clientRegistrationResolver;
  }

  /**
   * This factory returns builders of actions... each launch creates clean builders and objects
   * @return
   */
  @Override
  public ActionBuilderFactory actionBuilderFactory() {
    return actionBuilderFactory;
  }
}
