package riomhaire.lti.core.adapters.token;

public final class JWKBasedJwtToMapAdapterBuilder {
    protected String jwksUrl;
    protected boolean skipVerification;

    private JWKBasedJwtToMapAdapterBuilder() {
    }

    public static JWKBasedJwtToMapAdapterBuilder context() {
        return new JWKBasedJwtToMapAdapterBuilder();
    }

    public JWKBasedJwtToMapAdapterBuilder jwksUrl(String jwksUrl) {
        this.jwksUrl = jwksUrl;
        return this;
    }

    public JWKBasedJwtToMapAdapterBuilder skipVerification(boolean skipVerification) {
        this.skipVerification = skipVerification;
        return this;
    }

    public JWKBasedJwtToMapAdapter build() {
        return new JWKBasedJwtToMapAdapter(jwksUrl, skipVerification);
    }
}
