package riomhaire.lti.core.business.builder;

import riomhaire.lti.Registry;

import java.util.Map;

public abstract class AbstractActionBuilder implements ActionBuilder{
    protected Registry registry;
    protected Map<String, String> queryParams;
    protected Map<String, Object> metadata;
    protected Map<String, Object> claims;

    public ActionBuilder registry(Registry registry) {
        this.registry = registry;
        return this;
    }

    public ActionBuilder queryParams(Map<String, String> queryParams) {
        this.queryParams = queryParams;
        return this;
    }

    public ActionBuilder metadata(Map<String, Object> metadata) {
        this.metadata = metadata;
        return this;
    }

    public ActionBuilder claims(Map<String, Object> claims) {
        this.claims = claims;
        return this;
    }

}
