package riomhaire.lti.core.business.builder;

import org.springframework.web.servlet.ModelAndView;
import riomhaire.lti.Registry;
import riomhaire.lti.core.model.interfaces.Action;

import java.util.Map;

public interface ActionBuilder {

    Action<ModelAndView> build();

    default ActionBuilder registry(Registry registry){ return this; };

    default ActionBuilder queryParams(Map<String, String> queryParams){ return this; };

    default ActionBuilder metadata(Map<String, Object> metadata){ return this; };

    default ActionBuilder claims(Map<String, Object> claims){ return this; };



}
