package riomhaire.lti.core.model;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.util.List;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class ClientConfiguration {
    String id;            // Hash of issuer and clientid
    String name;          // Name of the tool installation
    String issuer;        // WHo issued the request - usually the LMS
    String clientId;      // Tool Client ID
    String jwksUrl;       // Where the public key for the issuer can be found
    String authenticateUrl;  // The call back authentication url
    boolean skipVerification;          // If true then skip token verification
    List<String> deployments; // List of specific deployments of this client

}
